//
//  NewTableViewCell.m
//  Cell下的视频播放器
//
//  Created by 邱沐泽 on 16/8/5.
//  Copyright © 2016年 邱沐泽. All rights reserved.
//

#import "NewTableViewCell.h"

#define screen_width [UIScreen mainScreen].bounds.size.width

@implementation NewTableViewCell

- (id)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier {
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        _titleLabel = [[UILabel alloc]initWithFrame:CGRectMake(8, 8, 100, 25)];
        _titleLabel.textAlignment = NSTextAlignmentLeft;
        _titleLabel.font = [UIFont systemFontOfSize:15];
        [self.contentView addSubview:_titleLabel];
        _titleLabel.adjustsFontSizeToFitWidth = YES;
        
        _timeLabel = [[UILabel alloc]initWithFrame:CGRectMake(screen_width - 100 - 8, _titleLabel.frame.origin.y, 100, 25)];
        _timeLabel.textAlignment = NSTextAlignmentRight;
        _timeLabel.font = [UIFont systemFontOfSize:13];
        _timeLabel.adjustsFontSizeToFitWidth = YES;
        [self.contentView addSubview:_timeLabel];
        
        _videoBackButton = [[UIButton alloc]initWithFrame:CGRectMake(8, _titleLabel.frame.origin.y + _titleLabel.frame.size.height + 8, screen_width - 2 * 8, 200)];
        [_videoBackButton setImage:[UIImage imageNamed:@"形状-1"] forState:UIControlStateNormal];
        [self.contentView addSubview:_videoBackButton];
        _videoBackButton.backgroundColor = [UIColor blackColor];
    }
    return self;
}

- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
